import dynamix_sdk.base as _base


class CloudapiBserviceCreateResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiBserviceCreateProtocol(_base.BasePostAPIFunctionProtocol):
    def create(
        self,
        *,
        name: str,
        rg_id: int,
        ssh_user_name: str | None = None,
        ssh_public_key: str | None = None,
        zone_id: int | None = None,
    ) -> CloudapiBserviceCreateResultInt:
        ...
